From 0e7559e003d2532f4fec4bbbeb3fa8ae77c59b59 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Jan 25 2017 16:11:06 +0000
Subject: [PATCH 666/1001] Move duplicated JS code to the utils library


---

diff --git a/hubs/static/js/utils.js b/hubs/static/js/utils.js
index 1e97046..01f2382 100644
--- a/hubs/static/js/utils.js
+++ b/hubs/static/js/utils.js
@@ -10,3 +10,25 @@ var collapse_feed_entries = function(idx) {
     $("#collapse-" + idx).addClass('hidden');
     $("#content-" + idx).addClass('hidden');
 }
+
+// Load widgets
+ function setup_widgets(base_url, widgets) {
+   console.log(base_url, widgets);
+   $.each(widgets, function(i, widget) {
+     $.ajax({
+       url: base_url + widget,
+       dataType: 'html',
+       success: function(html) {
+         $('#widget-' + widget).html(html);
+         setTimeout(function() {
+           $('#widget-' + widget + ' .panel').toggleClass('panel-visible');
+         }, 100);
+       },
+       error: function() {
+         $('#widget-' + widget).html('Got an error retrieving this widget.  Sorry :(');
+         console.log('error');
+         console.trace();
+       },
+     });
+   });
+ }
